/*
 * Open Service Platform
 * Copyright (c) 2012-2013  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __libug_setting_location_efl_H__
#define __libug_setting_location_efl_H__

#include <Elementary.h>
#include <ui-gadget.h>
#include <libintl.h>
#include <locations.h>
#include <dlog.h>
#include <glib.h>

#define _EDJ(x) 		(Evas_Object *)elm_layout_edje_get(x)

#define PKGNAME			"ug-setting-location-efl"

#define _(s)			dgettext(PKGNAME, s)
#define S_(s)			dgettext("sys_string", s)
#define dgettext_noop(s)	(s)
#define N_(s)			dgettext_noop(s)

#define KEY_ENABLED	1
#define KEY_DISABLED	0

struct ug_data {
	Evas_Object *base;

	ui_gadget_h ug;

	Evas_Object *naviframe;
	Evas_Object *genlist;
	Elm_Object_Item *gi_gps, *gi_net, *gi_agps;
	Elm_Object_Item *gi_mypos, *gi_help, *gi_msg;
	Elm_Object_Item *gi_top_sep, *gi_mid_sep, *gi_bot_sep;
	Elm_Object_Item *gi_lat, *gi_long, *gi_alt, *gi_speed;
	Evas_Object *tg_gps, *tg_net, *tg_agps;
	Elm_Genlist_Item_Class *itc_gps, *itc_agps, *itc_net, *itc_mypos, *itc_help;
	Elm_Genlist_Item_Class *itc_msg, *itc_help_msg;
	Elm_Genlist_Item_Class *itc_top_sep, *itc_mid_sep, *itc_bot_sep;
	Elm_Genlist_Item_Class *itc_lat, *itc_long, *itc_alt, *itc_speed;
	int is_gps, is_net, is_agps;

	location_manager_h loc;
	double latitude, longitude, altitude, speed;

	int app_count;
	int opt_index;
};

#endif				/* __libug_setting_location_efl_H__ */
